import { createRouter, createWebHistory, createWebHashHistory } from 'vue-router'
import HomeView from '../views/HomeView.vue'
import BrandSearch from '../views/BrandSearch.vue'
import RtspStream from '../views/RtspStream.vue'
// import ArTourView from '../views/ArTourView.vue'

const router = createRouter({
  history: createWebHashHistory(),
  routes: [
    {
      path: '/',
      name: 'home',
      component: HomeView,
    },
    {
      path: '/brand-search',
      name: 'BrandSearch',
      component: BrandSearch,
    },
    {
      path: '/rtsp-stream',
      name: 'RtspStream',
      component: RtspStream,
    },
    // 定位點網址設定
    // {
    //   path: '/b1-1',
    //   component: HomeView,
    // },
    // {
    //   path: '/b1-2',
    //   component: HomeView,
    // },
    // {
    //   path: '/b1-3',
    //   component: HomeView,
    // },
    // {
    //   path: '/b1-4',
    //   component: HomeView,
    // },
    // {
    //   path: '/b1-5',
    //   component: HomeView,
    // },
    // {
    //   path: '/1f-6',
    //   component: HomeView,
    // },
    // {
    //   path: '/1f-7',
    //   component: HomeView,
    // },
    // {
    //   path: '/2f-8',
    //   component: HomeView,
    // },
    // {
    //   path: '/89f-9',
    //   component: HomeView,
    // },
    // {
    //   path: '/88f-10',
    //   component: HomeView,
    // },
    // {
    //   path: '/ar-tour',
    //   name: 'ar-tour',
    //   component: ArTourView
    // },
  ]
})

export default router
